Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Storagetype_Impl_Spec Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Storagetype_Impl_Spec:

[legend]
Collaboration diagram for TAO_PSDL_Storagetype_Impl_Spec:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Storagetype_Impl_Spec (TAO_PSDL_Node *abstract_storagetype_name)
| ****************************************************************
virtual | ~TAO_PSDL_Storagetype_Impl_Spec (void)
TAO_PSDL_Node * | abstract_storagetype_name (void) const
| Get the value.
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | abstract_storagetype_name_
| The values.

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Storagetype_Impl_Spec::TAO_PSDL_Storagetype_Impl_Spec | ( | TAO_PSDL_Node * | abstract_storagetype_name | ) |

| ****************************************************************

TAO_PSDL_Storagetype_Impl_Spec::~TAO_PSDL_Storagetype_Impl_Spec | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_PSDL_Node * TAO_PSDL_Storagetype_Impl_Spec::abstract_storagetype_name | ( | void |  | ) | const

| Get the value.

int TAO_PSDL_Storagetype_Impl_Spec::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Storagetype_Impl_Spec::abstract_storagetype_name_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp